Bug 491978 - Kickstarts do not report status via WebUI past 'Reboot System' step
Kickstarts do not report status via WebUI past 'Reboot System' step
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Mike McCune
Steve Salevan
:
Depends On:
Blocks: 457075 472595 486216
  Show dependency treegraph
 
Reported: 2009-03-24 15:47 EDT by Steve Salevan
Modified: 2009-09-10 14:15 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:15:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-03-24 15:47:08 EDT
Description of problem:
If a user initiates a kickstart on a 530 Satellite, the WebUI will not report status past the "Reboot System" step, though the kickstart will proceed, downloading packages and the like.

Version-Release number of selected component (if applicable):
530-re20090323.0

How reproducible:
Always

Steps to Reproduce:
1. Create a kickstart profile
2. Kickstart a system with the WebUI, using this profile
3. Watch the session status
  
Actual results:
Session status does not proceed past "Reboot System" step, though the kickstart process proceeds to steps which produce status appropriately

Expected results:
Session status advances to appropriate steps upon new status updates from anaconda

Additional info:
Comment 2 Steve Salevan 2009-03-25 16:54:15 EDT
Upon further testing, it appears that the kickstart process itself does not proceed, receiving 404 errors when anaconda attempts to retrieve the KS file and packages.  Furthermore, errors appear in catalina.out, which has been attached.

mmccune believes that these additional problems are all part of the issue initially reported, so I'm aligning this bug to sat530-qa-blockers and 472595.
Comment 3 Jesus M. Rodriguez 2009-04-14 10:13:37 EDT
Spacewalk 0.5 released.
Comment 4 Jan Pazdziora 2009-09-09 05:45:12 EDT
Stage validated with Satellite 5.3.0 Gold and RHEL 5.3 kickstart, channel synced from hosted.

After the "Reboot System" item with a check and after packages are installed, "Register system to RHN Satellite" and "Kickstart complete" items get a green check as well.

Moving to RELEASE_PENDING.
Comment 5 Brandon Perkins 2009-09-10 14:15:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.